> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Get a service request by ID

GET https://api.propexo.com/v1/service-requests/{service_request_id}

Get a service request by ID

Reference: https://docs.propexo.com/api-reference/mri/service-requests/get-a-service-request-by-id

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `service_request_id` (string, required) — The ID of the resource.

### Query parameters

- `order-by` (string, optional, default: created_at:desc) — Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
- `updated_at_gte` (string, optional, nullable) — Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `updated_at_lte` (string, optional, nullable) — Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `last_seen_gte` (string, optional, nullable) — Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `last_seen_lte` (string, optional, nullable) — Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `offset` (integer, optional, nullable, default: 0) — Can be used for paginating results
- `limit` (integer, optional, nullable, default: 100) — A number between 1 and 250 to determine the number of results to return in a single query

## Response

### 200

Successful response

- `meta` (ResponseMeta, required)
- `results` (V1ServiceRequestsServiceRequestIdGetOutputResults, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### ResponseMeta

- `orderBy` (list of ResponseMetaOrderByItems, required) — The order of the results
- `offset` (integer, optional) — The offset of the first result
- `limit` (integer, optional) — The number of results to return
- `hasMore` (boolean, optional, nullable) — Whether there are more results
- `total` (integer, optional) — The total number of results

### V1ServiceRequestsServiceRequestIdGetOutputResults

- `id` (string, optional) — The Propexo unique identifier for the service request
- `created_at` (string, optional) — The date record first entered Propexo
- `updated_at` (string, optional) — The date record was last updated in Propexo
- `last_seen` (string, optional, nullable) — The date the record was last seen from the PMS
- `x_id` (string, optional) — The external ID from the integration vendor | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentialServiceRequests |
- `x_property_id` (string, optional) — The external ID of the property from the integration vendor | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentialServiceRequests |
- `x_location_id` (any, optional) — The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.This field will always be null for MRI
- `x_unit_id` (string, optional, nullable) — The external ID of the unit from the integration vendor | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentialServiceRequests |
- `x_sub_task_id` (any, optional) — The external ID of the sub task from the integration vendorThis field will always be null for MRI
- `access_is_authorized` (boolean, optional, nullable) — Whether or not the tenant has granted permission to enter the unit associated with the service request | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentialServiceRequests |
- `access_notes` (any, optional) — Notes regarding access to the unit associated with the service requestThis field will always be null for MRI
- `building` (any, optional) — The building name associated with the service requestThis field will always be null for MRI
- `completion_notes` (string, optional, nullable) — Closing notes associated with the service request | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentialServiceRequests |
- `date_completed` (string, optional, nullable) — The date the service request was completed | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentialServiceRequests |
- `date_created` (string, optional, nullable) — The date the service request was created | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentialServiceRequests |
- `date_due` (any, optional) — The due date associated with the service requestThis field will always be null for MRI
- `date_scheduled` (string, optional, nullable) — The date the service request is scheduled | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentialServiceRequests |
- `service_category` (string, optional, nullable) — The category of service request | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentialServiceRequests |
- `service_description` (string, optional, nullable) — A description of the service request | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentialServiceRequests |
- `service_details` (string, optional, nullable) — Details about the service request | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentialServiceRequests |
- `service_priority` (string, optional, nullable) — The priority level associated with the service request | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentialServiceRequests |
- `status_raw` (string, optional, nullable) — The raw status associated with the service request | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentialServiceRequests |
- `vendor_notes` (any, optional) — Vendor/technician notes associated with the service requestThis field will always be null for MRI
- `unit_number` (any, optional) — The unit number associated with the service request. This isn't always provided by PMS vendors, but may be the only data provided to identify a unit associated with a service request in some cases.This field will always be null for MRI
- `order_number` (string, optional, nullable) — The order number of the service request | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentialServiceRequests |
- `integration_id` (string, optional) — The Propexo unique identifier for the integration
- `integration_vendor` (enum, optional) — The property management system of record
  - Allowed values: `MRI`, `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`, `YARDI_REST`
- `property_id` (string, optional) — The Propexo unique identifier for the property
- `unit_id` (string, optional, nullable) — The Propexo unique identifier for the unit | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentialServiceRequests |
- `employee_id` (string, optional, nullable) — The Propexo unique identifier for the employee | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentialServiceRequests |
- `vendors` (list of V1ServiceRequestsServiceRequestIdGetOutputResultsVendorsItems, optional) — List of vendor IDs associated with the service requestThis field is not currently hydrated for MRI
- `history` (list of V1ServiceRequestsServiceRequestIdGetOutputResultsHistoryItems, optional) — History of notes and/or updates related to the service requestThis field is not currently hydrated for MRI
- `employees` (list of V1ServiceRequestsServiceRequestIdGetOutputResultsEmployeesItems, optional) — An array of all employees assigned to the service request
- `notes` (any, optional, deprecated) — DEPRECATED: Please use 'history' for reading notes regarding the service requestThis field will always be null for MRI

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### ResponseMetaOrderByItems

### V1ServiceRequestsServiceRequestIdGetOutputResultsVendorsItems

- `vendor_id` (string, required) — This field is not currently hydrated for MRI

### V1ServiceRequestsServiceRequestIdGetOutputResultsHistoryItems

- `id` (string, required) — The Propexo unique identifier for the service request history
- `created_at` (string, required) — The date record first entered Propexo
- `updated_at` (string, required) — The date record was last updated in Propexo
- `last_seen` (string, required) — The date the record was last seen from the PMS
- `x_id` (string, required) — The external ID from the integration vendor
- `x_created_at` (string, required, nullable) — The date the record first entered the integration vendorThis field is not currently hydrated for MRI
- `notes` (string, required) — Notes describing the service request historyThis field is not currently hydrated for MRI
- `creator_name` (string, required, nullable) — The name of the person or user that created the service request historyThis field is not currently hydrated for MRI
- `status_raw` (string, required, nullable) — The raw status from the service request historyThis field is not currently hydrated for MRI
- `service_request_id` (string, required) — The Propexo unique identifier for the service request

### V1ServiceRequestsServiceRequestIdGetOutputResultsEmployeesItems

- `id` (string, required) — The Propexo unique identifier for the employee
- `created_at` (string, required) — The date record first entered Propexo
- `updated_at` (string, required) — The date record was last updated in Propexo
- `last_seen` (string, required, nullable) — The date the record was last seen from the PMS
- `x_id` (string, required) — The external ID from the integration vendor | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMFM_WorkOrderEmployees | | /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentialLeasingConsultants |
- `name` (string, required, nullable) — The name associated with the employee | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMFM_WorkOrderEmployees | | /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentialLeasingConsultants |

## Examples

**Response**

```json
{
  "meta": {
    "orderBy": [
      {}
    ],
    "offset": 0,
    "limit": 100,
    "hasMore": true,
    "total": 1000
  },
  "results": {
    "id": "clwktsp9v000008l31iv218hn",
    "created_at": "2024-03-21T15:38:08.337Z",
    "updated_at": "2024-03-22T10:59:45.119Z",
    "last_seen": "2024-03-22T10:59:45.119Z",
    "x_id": "00000001",
    "x_property_id": "100",
    "x_location_id": null,
    "x_unit_id": "22",
    "x_sub_task_id": null,
    "access_is_authorized": true,
    "access_notes": null,
    "building": null,
    "completion_notes": "Completed by John Doe",
    "date_completed": "2015-08-12T00:00:00.000Z",
    "date_created": "2021-01-01T00:00:00.000Z",
    "date_due": null,
    "date_scheduled": "2015-08-12T00:00:00.000Z",
    "service_category": "Plumbing",
    "service_description": "Leaky Faucet",
    "service_details": "My kitchen sink is leaking",
    "service_priority": "High",
    "status_raw": "Work Completed",
    "vendor_notes": null,
    "unit_number": null,
    "order_number": "1234567890",
    "integration_id": "clwh5u07w000508me66sfh3um",
    "integration_vendor": "MRI",
    "property_id": "clwi5xiix000008l6ctdgafyh",
    "unit_id": "testintegration:100:E-22",
    "employee_id": "testintegration:100:MATT",
    "vendors": [
      {
        "vendor_id": "string"
      }
    ],
    "history": [
      {
        "id": "clwktsp9v000008l31iv218hn",
        "created_at": "2024-03-21T15:38:08.337Z",
        "updated_at": "2024-03-22T10:59:45.119Z",
        "last_seen": "2024-03-22T10:59:45.119Z",
        "x_id": "string",
        "x_created_at": "string",
        "notes": "string",
        "creator_name": "string",
        "status_raw": "string",
        "service_request_id": "string"
      }
    ],
    "employees": [
      {
        "id": "clwktsp9v000008l31iv218hn",
        "created_at": "2024-03-21T15:38:08.337Z",
        "updated_at": "2024-03-22T10:59:45.119Z",
        "last_seen": "2024-03-22T10:59:45.119Z",
        "x_id": "MATT",
        "name": "John Doe"
      }
    ],
    "notes": null
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/service-requests/service_request_id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/service-requests/service_request_id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/service-requests/service_request_id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/service-requests/service_request_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.propexo.com/v1/service-requests/service_request_id")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.propexo.com/v1/service-requests/service_request_id', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/service-requests/service_request_id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/service-requests/service_request_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```